
Core - Bug # 40359

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Must have
Author: Nicole Cordes Category:
Created: 2012-08-29 Assigned To: Nicole Cordes
Updated: 2012-09-22 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: T3edit doesn't save changes
Description

False function prevents t3edit to save templates.

Related issues:
related to Core - Bug # 39860: Not possible to save edited files in fileadmin... Resolved 2012-08-16

Associated revisions
Revision 190a8546 - 2012-09-22 10:36 - Nicole Cordes

[BUGFIX] Fix saving changes in T3editor

Patch repairs ajax ids and class reference for t3editor so templates can
be saved again.

Change-Id: I730d28e1a4b2291bb6c98ac696b74518e820f206
Fixes: #40359
Relates: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14172
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-08-29 00:16 - Nicole Cordes

If there is an error an alert "Object  [Object]" is returned. It's generated in line 188 alert(T3editor.lang.errorWhileSaving);. I don't know if this is caused
by the lang module.

#2 - 2012-08-29 00:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14172
#3 - 2012-08-29 16:39 - Florian Seirer

I just had the same error on TYPO3 4.7.4.

#4 - 2012-09-09 16:48 - Christian Kuhn
- Parent task set to #40095

#5 - 2012-09-22 10:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14172

#6 - 2012-09-22 10:23 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14172

#7 - 2012-09-22 10:27 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14172

#8 - 2012-09-22 10:34 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14172

#9 - 2012-09-22 11:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:190a854662bfa4d1714d1191803cdfe388f3f987.
